### Function

# GLib Func

#### Declaration

    void
    (* GFunc) (
      gpointer data,
      gpointer user_data
    )

#### Description

Specifies the type of functions passed to `g_list_foreach()` and g_slist_foreach().

#### Parameters

`data`

  Type: `gpointer`

  The element’s data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to `g_list_foreach()` or g_slist_foreach().

  The argument can be `NULL`.
  The data is owned by the caller of the function.